Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509935 - Hawkular Middleware Server list icons missing
Summary: Hawkular Middleware Server list icons missing
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: GA
: 5.10.0
Assignee: Dávid Halász
QA Contact: Mike Foley
URL: https://github.com/ManageIQ/manageiq-...
Whiteboard:
Depends On:
Blocks: 1510248
TreeView+ depends on / blocked
 
Reported: 2017-11-06 11:37 UTC by Tomas Coufal
Modified: 2018-03-30 17:21 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1510248 (view as bug list)
Environment:
Last Closed: 2018-01-08 14:25:59 UTC
Category: ---
Cloudforms Team: Middleware


Attachments (Terms of Use)

Description Tomas Coufal 2017-11-06 11:37:31 UTC
Description of problem:
Icons for Middleware Server type are missing

How reproducible:
100%

Steps to Reproduce:
1. Add a Middleware provider
2. List Middleware servers

Actual results:
No icons

Expected results:
Show icons

Additional info:
Pending PR with screenshots etc: https://github.com/ManageIQ/manageiq-ui-classic/pull/2621

Comment 2 Dave Johnson 2017-11-06 11:45:34 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 3 Tomas Coufal 2017-11-06 11:49:16 UTC
Updated, thanks!

Comment 6 CFME Bot 2017-11-06 18:39:09 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/8084a74e328c1d65dba6e358dd6c451800b86a65

commit 8084a74e328c1d65dba6e358dd6c451800b86a65
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Mon Nov 6 17:45:11 2017 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Mon Nov 6 18:00:33 2017 +0100

    Drop the img_url attribute from the report_data hash
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1509935

 app/assets/javascripts/miq_qe.js          | 3 +--
 app/controllers/application_controller.rb | 5 ++---
 2 files changed, 3 insertions(+), 5 deletions(-)

Comment 10 CFME Bot 2017-12-01 10:09:01 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/af0d0844a679f604ae772708a3baf66df697d280

commit af0d0844a679f604ae772708a3baf66df697d280
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Thu Nov 30 20:40:32 2017 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Fri Dec 1 10:22:34 2017 +0100

    Add an exception for middleware server listicons to prefer fileicon
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1509935

 app/controllers/application_controller.rb             |  2 +-
 spec/controllers/middleware_server_controller_spec.rb | 18 ++++++++++++++++++
 2 files changed, 19 insertions(+), 1 deletion(-)

Comment 11 CFME Bot 2017-12-11 15:54:07 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/e006e3ff156ec189c32563320b3266fead0dc1e9

commit e006e3ff156ec189c32563320b3266fead0dc1e9
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Mon Dec 11 14:56:31 2017 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Mon Dec 11 14:56:31 2017 +0100

    Extend the icon deletion exception for middleware servers
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1509935

 app/controllers/application_controller.rb          |  4 +++-
 spec/controllers/ems_middleware_controller_spec.rb | 19 +++++++++++++++++++
 2 files changed, 22 insertions(+), 1 deletion(-)


Note You need to log in before you can comment on or make changes to this bug.